/***************************************************************************
 *   Copyright (C) 2005 by Joachim Friedrich                               *
 *   joachim.friedrich@biozentrum.uni-wuerzburg.de                         *
 *                                                                         *
 *   This file is part of profdist and cbcanalyzer                         *
 *                                                                         *
 *   Both profdist and cbcanalyzer are free software; you can redistribute * 
 *   it and/or modify it under the terms of the GNU General Public License * 
 *   as published by the Free Software Foundation; either version 2 of the * 
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 *   Profdist and cbcanalyzer are distributed in the hope that it will be  *
 *   useful, but WITHOUT ANY WARRANTY; without even the implied warranty   *
 *   of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "ProfDist.h"
//---------------------------------------------------------------------------
//
//  name          : onBtnPnjOpenFile
//
//  description   : Load a text file in Input Window from Profile Neighbor Joining
//
//  input         : *this
//
//  return value  : void
//
//---------------------------------------------------------------------------
void MyDialogProfile::onBtnProfileOk(wxCommandEvent& WXUNUSED(event))
{
  ( * this ).EndModal( idBtnProfileOk );
}

//---------------------------------------------------------------------------
//
//  name          : onBtnPnjOpenFile
//
//  description   : Load a text file in Input Window from Profile Neighbor Joining
//
//  input         : *this
//
//  return value  : void
//
//---------------------------------------------------------------------------
void MyDialogProfile::onBtnProfileCancel(wxCommandEvent& WXUNUSED(event))
{
  ( * this ).EndModal( idBtnProfileCancel );
}

//---------------------------------------------------------------------------
//
//  name          : onBtnPnjOpenFile
//
//  description   : Load a text file in Input Window from Profile Neighbor Joining
//
//  input         : *this
//
//  return value  : void
//
//---------------------------------------------------------------------------
void MyDialogProfile::onBtnProfileHelp(wxCommandEvent& WXUNUSED(event))
{
  help.Display( wxT( "ProfDist Helpfile" ) );
}

//---------------------------------------------------------------------------
//
//  name          : onBtnPnjOpenFile
//
//  description   : Load a text file in Input Window from Profile Neighbor Joining
//
//  input         : *this
//
//  return value  : void
//
//---------------------------------------------------------------------------
wxString MyDialogProfile::getProfile()
{
  return txtProfileInput->GetValue();
}

